# Uncomment on initial build for soname bump.
%global bump_soname 0
%global sover 3

%if 0%{?bump_soname}
%global relsuffix ~sonamebump
%global old_sover %(echo $((%{sover}-1)))
%endif

Name:       libnsl2
Version:    2.0.1
Release:    1
Summary:    Public client interface library for NIS(YP) and NIS+
License:    BSD and LGPLv2+
URL:        https://github.com/thkukuk/libnsl
Source0:    https://github.com/thkukuk/libnsl/archive/v%{version}.tar.gz

BuildRequires: automake, autoconf, libtirpc-devel, gettext-devel, libtool
%if 0%{?bump_soname}
BuildRequires: libnsl2
%endif

%description
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.
The NIS(YP) functions are still maintained, the NIS+ part is
deprecated and should not be used anymore

%package devel
Summary: The development for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The package contains lib and header files for developing application
that use %{name}

%prep
%setup -q -n libnsl-%{version}

%build
autoreconf -fiv

%configure\
    --libdir=%{_exec_prefix}/%{_lib}\
    --includedir=%{_prefix}/include

%make_build

%install
%make_install
rm %{buildroot}/%{_libdir}/libnsl.{a,la}

%if 0%{?bump_soname}
cp -p %{_libdir}/libnsl.so.%{old_sover}* %{buildroot}/%{_libdir}
%endif

%files
%license COPYING
%{_libdir}/libnsl.so.%{sover}*
%if 0%{?bump_soname}
%{_libdir}/libnsl.so.%{old_sover}*
%endif

%files devel
%{_exec_prefix}/%{_lib}/libnsl.so
%{_exec_prefix}/%{_lib}/pkgconfig/libnsl.pc
%{_prefix}/include/*

%changelog
* Fri Dec 15 2023 fuanan <fuanan3@h-partners.com> - 2.0.1-1
- update version to 2.0.1

* Thu Nov 17 2022 yixiangzhike<yixiangzhike007@163.com> - 2.0.0-5
- fix source url

* Thu Jul 28 2022 fuanan <fuanan3@h-partners.com> - 2.0.0-4
- Type:requirements
- ID:NA
- SUG:NA
- DESC:Bump release in order to upgrade from openEuler 22.03

* Fri Apr 15 2022 Hugel<gengqihu1@h-partners.com> - 2.0.0-2
- delete old so files

* Tue Dec 28 2021 fuanan <fuanan3@huawei.com> - 2.0.0-1
- update version to 2.0.0

* Fri Apr 23 2021 yang_zhuang_zhuang<yangzhuangzhuang1@huawei.com> - 1.3.0-2
- Delete so file of the old version
 
* Mon Jul 27 2020 yang_zhuang_zhuang<yangzhuangzhuang1@huawei.com> - 1.3.0-1
- update version to 1.3.0

* Thu Sep 5 2019 caomeng<caomeng5@huawei.com> - 2.10.0-4
- Package init
